Notification Emails

Create Company Notification Email Address

Create a new company notification email address

POST
/api/v1/companies/{companyId}/notification-email-addresses
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to create a notification email address for

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.recommand.eu/api/v1/companies/string/notification-email-addresses" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "notifyIncoming": true,    "notifyOutgoing": true  }'
{
  "success": true,
  "notificationEmailAddress": {
    "id": "string",
    "companyId": "string",
    "email": "string",
    "notifyIncoming": true,
    "notifyOutgoing": true,
    "includeAutoGeneratedPdfIncoming": true,
    "includeAutoGeneratedPdfOutgoing": true,
    "includeDocumentJsonIncoming": true,
    "includeDocumentJsonOutgoing": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}